#include <bits/stdc++.h>
using namespace std;
int pc(int& i){
	int pc=1;
	while(i > 0){
		pc *= i%10;
		i/10;
	}
	return pc;
}
int main()  {
	
	int n, t;
	cin >> t;
	vector<int> res;
	for(int i = 0; i < t; ++i){
		cin >> n;
		
		map<int, int> mapa;
		int r = 0;
		for(int i = 1; i <=n; ++i){
			mapa[pc(i)]++;
		}
		for(auto x : mapa){
			r++;
		}
		res.push_back(r);
	}
	
	for(int i = 0; i < res.size(); ++i){
		cout << res[i] << endl;
	}
	
	
return 0;

}